[Bug 1507266] [NEW] plugin-container crashed with SIGSEGV in g_signal_emit_valist()

Eddy Boulanger eddy.boulanger at gmail.com
Sun Oct 18 08:03:50 UTC 2015


Public bug reported:

The running OS is Gnome Ubuntu 15.10 beta and Firefox crashed on
closing.

ProblemType: Crash
DistroRelease: Ubuntu 15.10
Package: firefox 41.0.2+build2-0ubuntu1
ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
Uname: Linux 4.2.0-16-generic x86_64
NonfreeKernelModules: nvidia
AddonCompatCheckDisabled: False
ApportVersion: 2.19.1-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER        PID ACCESS COMMAND
 /dev/snd/controlC2:  nathan     1584 F.... pulseaudio
 /dev/snd/controlC3:  nathan     1584 F.... pulseaudio
 /dev/snd/controlC1:  nathan     1584 F.... pulseaudio
 /dev/snd/controlC0:  nathan     1584 F.... pulseaudio
BuildID: 20151016093648
Channel: Unavailable
CurrentDesktop: GNOME
Date: Sun Oct 18 09:55:42 2015
ExecutablePath: /usr/lib/firefox/plugin-container
Extensions: extensions.sqlite corrupt or missing
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
InstallationDate: Installed on 2015-10-09 (9 days ago)
InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64 (20150924)
IpRoute:
 default via 192.168.0.2 dev enp11s0  proto static  metric 100
 169.254.0.0/16 dev enp11s0  scope link  metric 1000
 192.168.0.0/24 dev enp11s0  proto kernel  scope link  src 192.168.0.11  metric 100
Locales: extensions.sqlite corrupt or missing
Plugins:
 Gnome Shell Integration - /usr/lib/mozilla/plugins/libgnome-shell-browser-plugin.so (gnome-shell)
 Java(TM) Plug-in 11.60.2 - /usr/lib/jvm/java-8-oracle/jre/lib/amd64/libnpjp2.so
 Shockwave Flash - /usr/lib/flashplugin-installer/libflashplayer.so
PrefSources:
 prefs.js
 [Profile]/extensions/support at lastpass.com/defaults/preferences/defaults.js
 [Profile]/extensions/{0545b830-f0aa-4d7e-8820-50a4629a56fe}/defaults/preferences/defaults.js
ProcCmdline: /usr/lib/firefox/plugin-container /usr/lib/flashplugin-installer/libflashplayer.so -greomni /usr/lib/firefox/omni.ja -appomni /usr/lib/firefox/browser/omni.ja -appdir /usr/lib/firefox/browser 2695 plugin
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
 LD_LIBRARY_PATH=<set>
Profiles: Profile0 (Default) - LastVersion=41.0.2/20151016093648
RelatedPackageVersions: gnome-shell 3.16.3-1ubuntu6
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
RunningIncompatibleAddons: False
SegvAnalysis:
 Segfault happened at: 0x7fb687dfd2b1:	cmpq   $0x0,0x8(%rax)
 PC (0x7fb687dfd2b1) ok
 source "$0x0" ok
 destination "0x8(%rax)" (0x6f2e33772e77777f) not located in a known VMA region (needed writable region)!
SegvReason: writing unknown VMA
Signal: 11
SourcePackage: firefox
StacktraceTop:
 ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
 ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 g_signal_emit_by_name () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
 ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
Themes: extensions.sqlite corrupt or missing
Title: plugin-container crashed with SIGSEGV in g_signal_emit_valist()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 04/08/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2501
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: SABERTOOTH 990FX R2.0
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2501:bd04/08/2014:svnTobefilledbyO.E.M.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnASUSTeKCOMPUTERINC.:rnSABERTOOTH990FXR2.0:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: To be filled by O.E.M.

** Affects: firefox (Ubuntu)
     Importance: Undecided
         Status: New


** Tags: amd64 apport-crash need-amd64-retrace wily

** Description changed:

- The running OS is Gnome Ubuntu 15.10 beta and Firefox when I closed it.
+ The running OS is Gnome Ubuntu 15.10 beta and Firefox crashed on
+ closing.
  
  ProblemType: Crash
  DistroRelease: Ubuntu 15.10
  Package: firefox 41.0.2+build2-0ubuntu1
  ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
  Uname: Linux 4.2.0-16-generic x86_64
  NonfreeKernelModules: nvidia
  AddonCompatCheckDisabled: False
  ApportVersion: 2.19.1-0ubuntu2
  Architecture: amd64
  AudioDevicesInUse:
-  USER        PID ACCESS COMMAND
-  /dev/snd/controlC2:  nathan     1584 F.... pulseaudio
-  /dev/snd/controlC3:  nathan     1584 F.... pulseaudio
-  /dev/snd/controlC1:  nathan     1584 F.... pulseaudio
-  /dev/snd/controlC0:  nathan     1584 F.... pulseaudio
+  USER        PID ACCESS COMMAND
+  /dev/snd/controlC2:  nathan     1584 F.... pulseaudio
+  /dev/snd/controlC3:  nathan     1584 F.... pulseaudio
+  /dev/snd/controlC1:  nathan     1584 F.... pulseaudio
+  /dev/snd/controlC0:  nathan     1584 F.... pulseaudio
  BuildID: 20151016093648
  Channel: Unavailable
  CurrentDesktop: GNOME
  Date: Sun Oct 18 09:55:42 2015
  ExecutablePath: /usr/lib/firefox/plugin-container
  Extensions: extensions.sqlite corrupt or missing
  ForcedLayersAccel: False
  IfupdownConfig:
-  # interfaces(5) file used by ifup(8) and ifdown(8)
-  auto lo
-  iface lo inet loopback
+  # interfaces(5) file used by ifup(8) and ifdown(8)
+  auto lo
+  iface lo inet loopback
  IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
  InstallationDate: Installed on 2015-10-09 (9 days ago)
  InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64 (20150924)
  IpRoute:
-  default via 192.168.0.2 dev enp11s0  proto static  metric 100 
-  169.254.0.0/16 dev enp11s0  scope link  metric 1000 
-  192.168.0.0/24 dev enp11s0  proto kernel  scope link  src 192.168.0.11  metric 100
+  default via 192.168.0.2 dev enp11s0  proto static  metric 100
+  169.254.0.0/16 dev enp11s0  scope link  metric 1000
+  192.168.0.0/24 dev enp11s0  proto kernel  scope link  src 192.168.0.11  metric 100
  Locales: extensions.sqlite corrupt or missing
  Plugins:
-  Gnome Shell Integration - /usr/lib/mozilla/plugins/libgnome-shell-browser-plugin.so (gnome-shell)
-  Java(TM) Plug-in 11.60.2 - /usr/lib/jvm/java-8-oracle/jre/lib/amd64/libnpjp2.so
-  Shockwave Flash - /usr/lib/flashplugin-installer/libflashplayer.so
+  Gnome Shell Integration - /usr/lib/mozilla/plugins/libgnome-shell-browser-plugin.so (gnome-shell)
+  Java(TM) Plug-in 11.60.2 - /usr/lib/jvm/java-8-oracle/jre/lib/amd64/libnpjp2.so
+  Shockwave Flash - /usr/lib/flashplugin-installer/libflashplayer.so
  PrefSources:
-  prefs.js
-  [Profile]/extensions/support at lastpass.com/defaults/preferences/defaults.js
-  [Profile]/extensions/{0545b830-f0aa-4d7e-8820-50a4629a56fe}/defaults/preferences/defaults.js
+  prefs.js
+  [Profile]/extensions/support at lastpass.com/defaults/preferences/defaults.js
+  [Profile]/extensions/{0545b830-f0aa-4d7e-8820-50a4629a56fe}/defaults/preferences/defaults.js
  ProcCmdline: /usr/lib/firefox/plugin-container /usr/lib/flashplugin-installer/libflashplayer.so -greomni /usr/lib/firefox/omni.ja -appomni /usr/lib/firefox/browser/omni.ja -appdir /usr/lib/firefox/browser 2695 plugin
  ProcEnviron:
-  PATH=(custom, no user)
-  XDG_RUNTIME_DIR=<set>
-  LANG=fr_FR.UTF-8
-  SHELL=/bin/bash
-  LD_LIBRARY_PATH=<set>
+  PATH=(custom, no user)
+  XDG_RUNTIME_DIR=<set>
+  LANG=fr_FR.UTF-8
+  SHELL=/bin/bash
+  LD_LIBRARY_PATH=<set>
  Profiles: Profile0 (Default) - LastVersion=41.0.2/20151016093648
  RelatedPackageVersions: gnome-shell 3.16.3-1ubuntu6
  RfKill:
-  0: phy0: Wireless LAN
-  	Soft blocked: no
-  	Hard blocked: no
+  0: phy0: Wireless LAN
+   Soft blocked: no
+   Hard blocked: no
  RunningIncompatibleAddons: False
  SegvAnalysis:
-  Segfault happened at: 0x7fb687dfd2b1:	cmpq   $0x0,0x8(%rax)
-  PC (0x7fb687dfd2b1) ok
-  source "$0x0" ok
-  destination "0x8(%rax)" (0x6f2e33772e77777f) not located in a known VMA region (needed writable region)!
+  Segfault happened at: 0x7fb687dfd2b1:	cmpq   $0x0,0x8(%rax)
+  PC (0x7fb687dfd2b1) ok
+  source "$0x0" ok
+  destination "0x8(%rax)" (0x6f2e33772e77777f) not located in a known VMA region (needed writable region)!
  SegvReason: writing unknown VMA
  Signal: 11
  SourcePackage: firefox
  StacktraceTop:
-  ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
-  ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
-  g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
-  g_signal_emit_by_name () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
-  ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
+  ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
+  ?? () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
+  g_signal_emit_valist () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
+  g_signal_emit_by_name () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
+  ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
  Themes: extensions.sqlite corrupt or missing
  Title: plugin-container crashed with SIGSEGV in g_signal_emit_valist()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  dmi.bios.date: 04/08/2014
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 2501
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: SABERTOOTH 990FX R2.0
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2501:bd04/08/2014:svnTobefilledbyO.E.M.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnASUSTeKCOMPUTERINC.:rnSABERTOOTH990FXR2.0:rvrRev1.xx:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.name: To be filled by O.E.M.
  dmi.product.version: To be filled by O.E.M.
  dmi.sys.vendor: To be filled by O.E.M.

** Information type changed from Private to Public

-- 
You received this bug notification because you are a member of Mozilla
Bugs, which is subscribed to firefox in Ubuntu.
https://bugs.launchpad.net/bugs/1507266

Title:
  plugin-container crashed with SIGSEGV in g_signal_emit_valist()

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1507266/+subscriptions



More information about the Ubuntu-mozillateam-bugs mailing list